/*****************************
 * ECE 4760: Final Project   *
 * Human Tetris              *
 * Video Arcade Edition      *
 *                           *
 * Adam Papamarcos (aip23)   *
 * Kerran Flanagan (kaf42)   *
 * Cornell University        *
 * Spring 2010               *
 *****************************/

#ifndef MACROS_H_
#define MACROS_H_

//#define BIT0 0x01
//#define BIT1 0x02
//#define BIT2 0x04
//#define BIT3 0x08
//#define BIT4 0x10
//#define BIT5 0x20
//#define BIT6 0x40
//#define BIT7 0x80

// Bruce Land's Register Control - Cornell University - ECE 4760
#define READ(U, N) ((U) >> (N) & 1u)
#define SET(U, N) ((void)((U) |= 1u << (N)))
#define CLR(U, N) ((void)((U) &= ~(1u << (N))))
#define FLIP(U, N) ((void)((U) ^= 1u << (N)))

#define MAX(A,B) (((A)>(B)) ? (A) : (B))
#define MIN(A,B) (((A)>(B)) ? (B) : (A))

#endif /* MACROS_H_ */
